.Dd 2016-06-12
.Dt NCI-PUT-ASSIGNMENT-GRADES 1
.Os
.Sh NAME
.Nm nci-put-assignment-grades
.Nd Read a csv of grades from standard input, then connect to a Canvas installation and make the grades match the file
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
.Nm reads a csv-formatted file
.Po
see
.Sx FILES
.Pc
from standard input, then connects to a Canvas installation as
described at
.Xr nci 1 .
Every non-empty grade in the csv file that differs from Canvas'
recorded grade will be submitted to Canvas to update grading. Cells in
the input which are empty will trigger no action.
.Sh FILES
The input to this program must be in csv format
.Pq see RFC 4180 .
Any quoting style described in RFC 4180 may be used, although the
examples provided here use explicit quotations throughout.
.Pp
There must be a header line, of the form
.Pp
.Bl -column
.It Qo Name Qc , Ta Qo ID Qc , Ta Qo Ar course-id Ns :  Ns Ar assignment-id  Po Ar assignment-name Pc Qc ,  Ta ...
.El
.Pp
The
.Ar assignment-name
values will be ignored, but the
.Ar course-id
and
.Ar assignment-id
values will be used to determine which assignment to create
submissions for. Likewise, the column for student names will be
ignored: the column for student IDs will be used to associate grades
to students.
.Pp
Following this will be one line for every student enrolled in
.Ar course-id .
The current grade for each assignment will be listed in the relevant
column. A blank entry indicates that no grade is yet listed. A grade of
.Dq EX
indicates that the student should be excused from this assignment
.Po
if a student is currently excused from an assignment and a number is
entered, Canvas appears to overwrite their excusement with the grade
.Pc .
.Sh EXAMPLES
.Dl % cat input.csv
.Dl \&"Name\&",\&"ID\&",\&"1193095:4209425 (Exam 1)\&",\&"1193095:4209426 (Exam 3)\&"
.Dl \&"Arnold,Benedict\&",\&"399414\&",\&"83.4\&",\&"\&"
.Dl \&"Burr,Aaron\&",\&"348223\&",\&"94\&",\&"79\&"
.Dl \&"Κασσάνδρα\&",\&"3944812\&",\&"\&",\&"EX\&"
.Dl % nci-put-assignment-grades < input.csv
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-assignments 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
